Evaluate Span
POSThttps://api.confident-ai.com/v1/evaluate/spans/{spanUuid}
curl -X POST "https://api.confident-ai.com/v1/evaluate/spans/{spanUuid}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"metricCollection": "Collection Name"
}'{
"success": true,
"data": {
"id": "SPAN-ID"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
spanUuidstringRequiredThe UUID of the span you wish to evaluate.
Request body
metricCollectionstringRequiredThe name of the metric collection to use
Response
successbooleanThis is true if the span was successfully evaluated.
dataobjectShow 1 propertyHide 1 property
idstringThis is the id of the span, not to be confused with the UUID of the trace.
deprecatedbooleanThis is true if this endpoint is deprecated.
Built byConfident AI